Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractTooltip

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractTooltip

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver

Direct Known Subclasses:
  UITooltip

    public abstract class AbstractTooltip

extends javax.faces.component.UIOutput
implements AbstractDivPanel, org.richfaces.component.MetaComponentResolver, org.richfaces.component.MetaComponentEncoder

Since:
  2010-10-24
Author:
  amarkhel

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`
`static String` | `CONTENT_META_COMPONENT_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`protected` | `AbstractTooltip()`

Method Summary
`void` | `encodeMetaComponent(javax.faces.context.FacesContext context, String metaComponentId)`
`String` | `getContentClientId(javax.faces.context.FacesContext context)`
`abstract org.richfaces.component.Positioning` | `getDirection()`
`String` | `getFamily()`
`abstract int` | `getHideDelay()`
`abstract String` | `getHideEvent()`
`abstract int` | `getHorizontalOffset()`
`abstract org.richfaces.component.Positioning` | `getJointPoint()`
`abstract org.richfaces.TooltipLayout` | `getLayout()`
`abstract org.richfaces.TooltipMode` | `getMode()`
`abstract String` | `getOnbeforehide()`
`abstract String` | `getOnbeforeshow()`
`abstract String` | `getOnhide()`
`abstract String` | `getOnshow()`
`abstract int` | `getShowDelay()`
`abstract String` | `getShowEvent()`
`abstract String` | `getStyle()`
`abstract String` | `getStyleClass()`
`String` | `getTarget()`
`abstract int` | `getVerticalOffset()`
`abstract int` | `getZindex()`
`abstract boolean` | `isAttached()`
`abstract boolean` | `isFollowMouse()`
`String` | `resolveClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)`
`void` | `setTarget(String target)`
`String` | `substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)`
`boolean` | `visitTree(javax.faces.component.visit.VisitContext context, javax.faces.component.visit.VisitCallback callback)`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.AbstractDivPanel
`getDir, getLang, getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getTitle`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

### CONTENT_META_COMPONENT_ID

    public static final String CONTENT_META_COMPONENT_ID

See Also:
  Constant Field Values

Constructor Detail

### AbstractTooltip

    protected AbstractTooltip()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIOutput`

### getTarget

    public String getTarget()

### setTarget

    public void setTarget(String target)

### getLayout

    public abstract org.richfaces.TooltipLayout getLayout()

### isAttached

    public abstract boolean isAttached()

### getJointPoint

    public abstract org.richfaces.component.Positioning getJointPoint()

### getDirection

    public abstract org.richfaces.component.Positioning getDirection()

### isFollowMouse

    public abstract boolean isFollowMouse()

### getHideDelay

    public abstract int getHideDelay()

### getHideEvent

    public abstract String getHideEvent()

### getHorizontalOffset

    public abstract int getHorizontalOffset()

### getMode

    public abstract org.richfaces.TooltipMode getMode()

### getShowDelay

    public abstract int getShowDelay()

### getShowEvent

    public abstract String getShowEvent()

### getVerticalOffset

    public abstract int getVerticalOffset()

### getStyle

    public abstract String getStyle()

  Specified by:
    `getStyle` in interface `AbstractDivPanel`

### getStyleClass

    public abstract String getStyleClass()

  Specified by:
    `getStyleClass` in interface `AbstractDivPanel`

### getZindex

    public abstract int getZindex()

### getOnhide

    public abstract String getOnhide()

### getOnshow

    public abstract String getOnshow()

### getOnbeforehide

    public abstract String getOnbeforehide()

### getOnbeforeshow

    public abstract String getOnbeforeshow()

### visitTree

    public boolean visitTree(javax.faces.component.visit.VisitContext context,
                             javax.faces.component.visit.VisitCallback callback)

  Overrides:
    `visitTree` in class `javax.faces.component.UIComponent`

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                    String metaComponentId)
                             throws IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.component.MetaComponentEncoder`
  Throws:
    `IOException`

### getContentClientId

    public String getContentClientId(javax.faces.context.FacesContext context)

### resolveClientId

    public String resolveClientId(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent contextComponent,
                                  String metaComponentId)

  Specified by:
    `resolveClientId` in interface `org.richfaces.component.MetaComponentResolver`

### substituteUnresolvedClientId

    public String substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext,
                                               javax.faces.component.UIComponent contextComponent,
                                               String metaComponentId)

  Specified by:
    `substituteUnresolvedClientId` in interface `org.richfaces.component.MetaComponentResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.